Snapvisor Docs

List a project's builds

List the builds of a project, most recent first. Results are paginated. Use `search` to match builds by name, branch or commit, and `distinctName` to return only the latest build per name and commit. Use it to find a build by branch, commit or name, or to see the latest builds of a project.

GET
/projects/{owner}/{project}/builds

List the builds of a project, most recent first. Results are paginated. Use search to match builds by name, branch or commit, and distinctName to return only the latest build per name and commit. Use it to find a build by branch, commit or name, or to see the latest builds of a project.

Authorization

AuthorizationBearer <token>

Authenticate as a project with a project token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <project-token>

You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length

Query Parameters

perPage?string

Number of items per page (max 100)

page?string

Page number

head?string
Length1 <= length
headSha?string

SHA1 hash

Match^[0-9a-f]{40}$
search?string

Search builds by name, branch (substring) or commit (prefix).

Length1 <= length
distinctName?string

Only return the latest builds created, unique by name and commit.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/string/builds"
{  "pageInfo": {    "total": 0,    "page": 0,    "perPage": 0  },  "results": [    {      "id": "string",      "number": 1,      "head": {        "sha": "string",        "branch": "string"      },      "base": {        "sha": "string",        "branch": "string"      },      "status": "accepted",      "conclusion": "no-changes",      "stats": {        "added": 0,        "removed": 0,        "unchanged": 0,        "changed": 0,        "ignored": 0,        "failure": 0,        "retryFailure": 0,        "total": 0      },      "metadata": {        "testReport": {          "status": "passed",          "stats": {            "startTime": "string",            "duration": 0          }        }      },      "url": "http://example.com",      "notification": {        "description": "string",        "context": "string",        "github": {          "state": "pending"        },        "gitlab": {          "state": "pending"        },        "origin": {          "status": "queued",          "conclusion": "success"        },        "url": "http://example.com"      }    }  ]}